Bug 236121 - FreeBSD 12.0: periodically panics
Summary: FreeBSD 12.0: periodically panics
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.0-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: panic
Depends on:
Blocks:
 
Reported: 2019-03-01 06:53 UTC by Martin Birgmeier
Modified: 2019-06-28 13:48 UTC (History)
2 users (show)

See Also:


Attachments
most recent kernel dump and dmesg (40.01 KB, application/x-compressed-tar)
2019-03-01 06:53 UTC, Martin Birgmeier
no flags Details
another crash (34.77 KB, application/x-compressed-tar)
2019-03-01 19:04 UTC, Martin Birgmeier
no flags Details
crash while shutting down (155.25 KB, text/plain)
2019-03-17 08:05 UTC, Martin Birgmeier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Birgmeier 2019-03-01 06:53:07 UTC
Created attachment 202470 [details]
most recent kernel dump and dmesg

Since upgrading to 12.0, one of my machines (the oldest) periodically crashes. The crashes seem to be more frequent when using a geli-encrypted tmp; this is currently off (unencrypted tmp), but a crash still happens every few days.

Attached the most recent kernel dump and dmesg.

-- Martin
Comment 1 Martin Birgmeier 2019-03-01 06:54:22 UTC
Btw, this may be related to bug #234567.
Comment 2 Conrad Meyer freebsd_committer 2019-03-01 18:49:31 UTC
panic: page fault
cpuid = 1
time = 1551382342

GDB6 stack:

#5  0xffffffff8073c1f9 in trap_pfault (frame=0xfffffe001e4f8480, usermode=0)
    at pcpu.h:230
#6  0xffffffff8073b81e in trap (frame=0xfffffe001e4f8480)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/amd64/amd64/trap.c:441
#7  0xffffffff80718305 in calltrap ()
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/amd64/amd64/exception.S:232
#8  0xffffffff804ca971 in sched_pickcpu (td=0x0, flags=<value optimized out>)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/kern/sched_ule.c:820
#9  0xffffffff804caec4 in sched_add (td=0xfffff80002388580, flags=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/kern/sched_ule.c:2560
#10 0xffffffff804facaa in turnstile_unpend (ts=0xfffff8000205d780)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/kern/subr_turnstile.c:980
#11 0xffffffff8047df11 in __mtx_unlock_sleep (c=0xfffff8000554ced8,
    v=18446735277953455490)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/kern/kern_mutex.c:1032
#12 0xffffffff8059c4b8 in if_transmit (ifp=0xfffff80005a65800,
    m=<value optimized out>)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/net/if.c:4011
#13 0xffffffff8059f551 in ether_output_frame (ifp=0xfffff80005a65800,
    m=<value optimized out>)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/net/if_ethersubr.c:482
#14 0xffffffff81c5e999 in ng_apply_item (node=0xfffff80005ab6900,
    item=0xfffff8001427f800, rw=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2403
#15 0xffffffff81c5e43f in ng_snd_item (item=0xfffff8001427f800, flags=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2320
#16 0xffffffff81c773b5 in ng_pppoe_rcvdata (hook=0x18, item=0xfffff8001427f800)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_pppoe.c:1446
#17 0xffffffff81c5e999 in ng_apply_item (node=0xfffff800052fd200,
    item=0xfffff8001427f800, rw=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2403
#18 0xffffffff81c5e43f in ng_snd_item (item=0xfffff8001427f800, flags=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2320
#19 0xffffffff81c5e999 in ng_apply_item (node=0xfffff8001411d800,
    item=0xfffff8001427f800, rw=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2403
#20 0xffffffff81c5e43f in ng_snd_item (item=0xfffff8001427f800, flags=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2320
#21 0xffffffff81c701d5 in ng_ppp_link_xmit (node=<value optimized out>,
    item=0xfffff8001427f800, proto=<value optimized out>,
    linkNum=<value optimized out>, plen=56)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_ppp.c:1364
#22 0xffffffff81c5e999 in ng_apply_item (node=0xfffff800140afb00,
    item=0xfffff8001427f800, rw=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2403
#23 0xffffffff81c5e43f in ng_snd_item (item=0xfffff8001427f800, flags=0)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2320
#24 0xffffffff81c5e999 in ng_apply_item (node=0xfffff80034801c00,
    item=0xfffff8001427f800, rw=1)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:2403
#25 0xffffffff81c6117a in ngthread (arg=<value optimized out>)
    at /.../hal/z/SRC/FreeBSD/releng/12.0/sys/netgraph/ng_base.c:3434

Last few lines of dmesg prior to panic:

ipfw: 10114 SkipTo 14000 TCP 192.168.1.19:63749 18.9.60.141:11371 out via ng0
ipfw: 10114 SkipTo 14000 TCP 192.168.1.19:63749 18.9.60.141:11371 out via ng0
ipfw: 10114 SkipTo 14000 TCP 192.168.1.19:63749 18.9.60.141:11371 out via ng0

I'm guessing this is related to netgraph.
Comment 3 Conrad Meyer freebsd_committer 2019-03-01 18:52:21 UTC
Do you have the fix for bug 234296 applied?  I'm not sure I see the relation, but it can't hurt.
Comment 4 Martin Birgmeier 2019-03-01 19:01:58 UTC
The kernel is at r343805 in releng/12.0 which is 12.0-RELEASE-p3 (releng/12.0), so yes that patch is applied.

-- Martin
Comment 5 Martin Birgmeier 2019-03-01 19:04:38 UTC
Created attachment 202487 [details]
another crash

The machine crashed again about an hour ago. Attached the new dump info.

-- Martin
Comment 6 Mark Johnston freebsd_committer 2019-03-01 19:55:06 UTC
I'm sure this isn't related to bug 234567, it appears to be netgraph-specific.  Martin, if you're able to provide a vmcore like last time, I can spend some time debugging, but it'll be a few days before I'm free.
Comment 7 Martin Birgmeier 2019-03-01 21:42:24 UTC
Hi Mark,

I uploaded it to the same location like last time.

Thanks for your help.

Best regards, Martin
Comment 8 Martin Birgmeier 2019-03-17 08:05:27 UTC
Created attachment 202927 [details]
crash while shutting down

Another crash happened while shutting down the system. This time the crash info seems quite useful.
Comment 9 Martin Birgmeier 2019-06-28 13:48:55 UTC
The issue does not occur anymore. The problem was probably fixed with bug #236846.

-- Martin